#include <string.h>
#include "packets.h"

int get_packet_type(char *req)
{
	if (strncmp(req, GETVERSION, sizeof(GETVERSION)-1) == 0)
	{
		return TYPE_GETVERSION;
	}

	if (strncmp(req, JOINSERVER, sizeof(JOINSERVER)-1) == 0)
	{
		return TYPE_JOINSERVER;
	}

	if (strncmp(req, CHECKSERVER, sizeof(CHECKSERVER)-1) == 0)
	{
		return TYPE_CHECKSERVER;
	}

	if (strncmp(req, REGISTER, sizeof(REGISTER)-1) == 0)
	{
		return TYPE_REGISTER;
	}

	if ((strncmp(req, "GET /game/", strlen("GET /game/")) == 0) && (strstr(req, ".jar")))
	{
		return TYPE_FILES;
	}

	return TYPE_UNKNOWN;
}