#ifndef KV_LIST_H
#define KV_LIST_H

#define FL_FREE		1

struct st_kv_list
{
	char *key;
	void *value;
	char flags;
	struct st_kv_list *next;
};

struct st_kv_array
{
	char *key;
	void *value;
};

typedef struct st_kv_list kv_list;
typedef struct st_kv_array kv_array;

int		list_add (kv_list **list, char *key, void *value, char flags);
kv_list*	list_append (kv_list **list, char *key, void *value, char flags);

void*		list_get (kv_list *list, char *key);
kv_list*	list_getlast (kv_list *list);

int		list_del (kv_list **list, char *key);
int		list_destroy (kv_list **list);

size_t		list_count (kv_list *list);

#endif /* KV_LIST_H */