#include <stdio.h>
#include <time.h>
#include <stdarg.h>
#include "logger.h"

/* why the fuck it is here? */
struct gpar_t
{
	int socket;
	FILE *log;
	int log_level;

	char *ticket;
	char *game_version;
	char *launcher_version;

	int exit_flag;
};
extern struct gpar_t global;

static char log_levels[][6] = {"DEBUG", "INFO", "WARN", "ERROR", "CRIT"};

char *get_time(time_t unixtime, char *buf)
{
	struct tm timeinfo;
	localtime_r(&unixtime, &timeinfo);
	strftime(buf, 6, "%H:%M", &timeinfo);

	return buf;
}

char *get_date_time(time_t unixtime, char *buf)
{
	struct tm timeinfo;
	localtime_r(&unixtime, &timeinfo);
	strftime(buf, 20, "%d.%m.%Y %H:%M:%S", &timeinfo);

	return buf;
}

void logger(int level, char *format, ...)
{
	if (level < global.log_level) return;

	char date_buf[20];
	va_list args;
	va_start(args, format);

	if (global.log == NULL)
	{
		global.log = fopen("master.log", "ab");
	}

	fprintf(stderr, "%s [%s] ", get_date_time(time(NULL), date_buf), log_levels[level]);
	vfprintf(stderr, format, args);
	fprintf(stderr, "\n");

	fprintf(global.log, "%s [%s] ", get_date_time(time(NULL), date_buf), log_levels[level]);
	vfprintf(global.log, format, args);
	fprintf(global.log, "\n");
	fflush(global.log);

	va_end(args);
}