/* Events */
#define MASTER_START	0
#define MASTER_STOP	1
#define CUSTOM_PACKET	2
#define NEW_CONNECTION	3

struct module_func_t
{
	char *name;
	int (*addr)(void**);
	int event;
	void *param;
	void *func_params;
};

struct module_t
{
	int func_num;
	struct module_func_t *mod_func;
};

int MC_RunModules(int event, void *param);
const char *str_event(unsigned int event);